## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate once_cell

Name:           rust-%{crate}
Version:        1.12.0
Release:        %autorelease
Summary:        Single assignment cells and lazy values

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/once_cell
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Single assignment cells and lazy values.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parking_lot-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parking_lot-devel %{_description}

This package contains library source intended for building other packages which
use the "parking_lot" feature of the "%{crate}" crate.

%files       -n %{name}+parking_lot-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+parking_lot_core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+parking_lot_core-devel %{_description}

This package contains library source intended for building other packages which
use the "parking_lot_core" feature of the "%{crate}" crate.

%files       -n %{name}+parking_lot_core-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+race-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+race-devel %{_description}

This package contains library source intended for building other packages which
use the "race" feature of the "%{crate}" crate.

%files       -n %{name}+race-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue May 24 2022 Fabio Valentini <decathorpe@gmail.com> 1.12.0-2
- Fix missing subpackage for the optional parking_lot_core feature

* Tue May 24 2022 Jan Staněk <jstanek@redhat.com> 1.12.0-1
- update to 1.12.0

* Fri Mar 04 2022 Fabio Valentini <decathorpe@gmail.com> 1.10.0-1
- Update to version 1.10.0; Fixes RHBZ#2060589

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> 1.9.0-1
- Update to version 1.9.0; Fixes RHBZ#2032465

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Jan Staněk <jstanek@redhat.com> - 1.8.0-1
- Update to version 1.8.0

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 1.7.2-1
- Update to version 1.7.2.
- Fixes RHBZ#1934173

* Tue Mar 02 2021 Jan Staněk <jstanek@redhat.com> - 1.7.1-1
- Update to version 1.7.1

* Thu Feb 25 2021 Jan Staněk <jstanek@redhat.com> - 1.7.0-1
- Update to version 1.7.0
- Add subpackage for the "race" feature

* Mon Feb 22 2021 Jan Staněk <jstanek@redhat.com> - 1.6.0-1
- Update to version 1.6.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.5.2-1
- Update to version 1.5.2.
- Fixes RHBZ#1897157

* Wed Nov 11 2020 Fabio Valentini <decathorpe@gmail.com> - 1.5.1-1
- Update to version 1.5.1.
- Fixes RHBZ#1896604

* Tue Aug 18 2020 Jan Staněk <jstanek@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu May 14 2020 Josh Stone <jistone@redhat.com> - 1.4.0-1
- Update to 1.4.0

* Wed Apr 01 2020 Josh Stone <jistone@redhat.com> - 1.3.1-3
- Bump to crossbeam-utils 0.7

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jan 17 2020 Josh Stone <jistone@redhat.com> - 1.3.1-1
- Update to 1.3.1

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> - 1.3.0-1
- Update to 1.3.0

* Mon Sep 23 07:53:58 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-1
- Update to 1.2.0

* Fri Sep 06 20:59:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.1.0-1
- Update to 1.1.0

* Mon Sep 02 2019 Jan Staněk <jstanek@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Mon Sep 02 2019 Jan Staněk <jstanek@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Mon Aug 19 2019 Jan Staněk <jstanek@redhat.com> - 0.2.6-1
- Update to 0.2.6

* Sun Aug 04 15:41:31 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.4-1
- Update to 0.2.4

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 06 11:22:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2

* Mon Jul 01 20:54:06 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.1-2
- Regenerate

* Thu Jun 06 2019 Josh Stone <jistone@redhat.com> - 0.2.1-1
- Update to 0.2.1

* Tue May 07 14:42:19 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0

* Tue May 07 07:37:55 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-3
- Update parking_lot to 0.8

* Tue Feb 12 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.8-2
- Adapt to new packaging

* Thu Feb 07 2019 Jan Stanek <jstanek@redhat.com> - 0.1.8-1
- Initial package

